# DisableWebPagePreview - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.types / DisableWebPagePreview

# DisableWebPagePreview

(common) `interface DisableWebPagePreview` (source)

### Properties

(common)

#### disableWebPagePreview

`abstract val disableWebPagePreview: Boolean?`

### Inheritors

(common)

#### InputTextMessageContent

`data class InputTextMessageContent : CaptionedOutput, DisableWebPagePreview, InputMessageContent`

(common)

#### SendTextMessage

`data class SendTextMessage : SendMessageRequest<ContentMessage<TextContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<TextContent>>, TextableSendMessageRequest<ContentMessage<TextContent>>, DisableWebPagePreview`